## slib 3a2

=== Makefile ===
# Makefile for Scheme Library
# Author: Aubrey Jaffer
#
# This code is in the public domain.

SHELL = /bin/sh
intro:
	@echo
	@echo "Welcome to SLIB.  Read \"README\" and \"slib.info\" (or"
	@echo "\"slib.texi\") to learn how to install and use SLIB."
	@echo
	-make slib.info

srcdir.mk: .. Makefile
	echo "srcdir = `pwd`/" > srcdir.mk
#srcdir=$(HOME)/slib/
include srcdir.mk

VERSION = 3a2
RELEASE = 1

rpm_prefix=/usr/src/redhat/
prefix = /usr/local/
exec_prefix = $(prefix)
# directory where `make install' will put executable.
bindir = $(exec_prefix)bin/
libdir = $(exec_prefix)lib/
libslibdir = $(libdir)slib/
# directory where `make install' will put manual page.
mandir = $(prefix)man/
man1dir = $(mandir)man1/
infodir = $(prefix)info/

PREVDOCS = prevdocs/

htmldir=../public_html/
dvidir=../dvi/

RUNNABLE = scheme48
S48INIT = scheme48.init
LIB = $(libdir)$(RUNNABLE)/
VM = scheme48vm
IMAGE48 = slib.image
INSTALL_DATA = install -c

$(LIB)slibcat:
	touch $(LIB)slibcat

catalogs:
	-if type scm; then scm -c "(require 'new-catalog)"; fi
	-if type guile; then guile -l guile.init -c\
	  "(use-modules (ice-9 slib)) (require 'new-catalog)"; fi
	-if type umb-scheme; then SCHEME_INIT=umbscheme.init;export SCHEME_INIT;\
	  echo "(require 'new-catalog)" | umb-scheme; fi
	-if type mzscheme; then SCHEME_LIBRARY_PATH=`pwd`/;export SCHEME_LIBRARY_PATH;\
	  mzscheme -g -f DrScheme.init -e "(require 'new-catalog)" </dev/null; fi
	-if type scheme48; then make install48; fi

MKNMDB = (require 'color-database) (make-slib-color-name-db) (slib:exit)
clrnamdb: clrnamdb.scm
clrnamdb.scm:  mkclrnam.scm color.scm resenecolours.txt saturate.txt nbs-iscc.txt
	if type scm; then scm -e"$(MKNMDB)";\
	elif type guile; then guile -l guile.init -c\
	 "(use-modules (ice-9 slib)) $(MKNMDB)";\
	elif type slib48; then echo -e "$(MKNMDB)\n,exit" | slib48 -h 3000000;\
	elif type umb-scheme; then SCHEME_INIT=`pwd`/umbscheme.init;export SCHEME_INIT;\
	 echo "$(MKNMDB)" | umb-scheme;\
	elif type mzscheme; then SCHEME_LIBRARY_PATH=`pwd`/;export SCHEME_LIBRARY_PATH;\
	 echo "$(MKNMDB)" | mzscheme -f DrScheme.init;\
	fi

slib48:	$(IMAGE48)
$(IMAGE48):	Makefile $(S48INIT)
	S48_VERSION="`echo ,exit | $(RUNNABLE) | sed -n 's/Welcome to Scheme 48 //;s/ ([^)]*)[.]//;p;q'`";export S48_VERSION;\
	S48_VICINITY="$(LIB)";export S48_VICINITY;\
	SCHEME_LIBRARY_PATH="`pwd`/";export SCHEME_LIBRARY_PATH;\
	$(RUNNABLE) < $(S48INIT)
install48:	$(IMAGE48)
	$(INSTALL_DATA) $(IMAGE48) $(LIB)
	(echo '#! /bin/sh';\
	 echo exec $(RUNNABLE) -i '$(LIB)$(IMAGE48)' \"\$$\@\") \
	  > $(bindir)slib48
	chmod +x $(bindir)slib48

ffiles = format.scm printf.scm genwrite.scm pp.scm \
	ppfile.scm strcase.scm debug.scm trace.scm \
	strport.scm scanf.scm qp.scm break.scm stdio.scm \
	strsrch.scm prec.scm schmooz.scm defmacex.scm mbe.scm
lfiles = sort.scm comlist.scm logical.scm
revfiles = sc4opt.scm sc4sc3.scm sc2.scm mularg.scm mulapply.scm \
	trnscrpt.scm withfile.scm dynwind.scm promise.scm \
	values.scm eval.scm null.scm
afiles = charplot.scm root.scm cring.scm selfset.scm \
	 timecore.scm psxtime.scm cltime.scm timezone.scm tzfile.scm
bfiles = fluidlet.scm object.scm recobj.scm yasyn.scm collect.scm collectx.scm
scfiles = r4rsyn.scm scmacro.scm synclo.scm synrul.scm synchk.scm \
	repl.scm macwork.scm mwexpand.scm mwdenote.scm mwsynrul.scm
scafiles = scainit.scm scaglob.scm scamacr.scm scaoutp.scm scaexpp.scm \
	structure.scm
srfiles = srfi-9.scm
efiles = record.scm dynamic.scm process.scm hash.scm \
	wttree.scm wttest.scm sierpinski.scm soundex.scm simetrix.scm
rfiles = rdms.scm alistab.scm paramlst.scm \
	batch.scm crc.scm dbrowse.scm getopt.scm dbinterp.scm \
	dbcom.scm dbsyn.scm
gfiles = colorspc.scm cie1931.xyz cie1964.xyz resenecolours.txt saturate.txt \
	nbs-iscc.txt ciesid65.dat ciesia.dat

txiscms =grapheps.scm glob.scm getparam.scm \
	vet.scm top-refs.scm hashtab.scm chap.scm comparse.scm\
	alist.scm ratize.scm modular.scm dirs.scm priorque.scm queue.scm\
	srfi.scm srfi-1.scm srfi-2.scm srfi-8.scm\
	pnm.scm http-cgi.scm htmlform.scm html4each.scm db2html.scm uri.scm\
	fft.scm solid.scm random.scm randinex.scm obj2str.scm ncbi-dna.scm\
	minimize.scm factor.scm determ.scm daylight.scm colornam.scm\
	mkclrnam.scm color.scm subarray.scm dbutil.scm array.scm transact.scm\
	arraymap.scm phil-spc.scm lineio.scm differ.scm cvs.scm tree.scm\
	coerce.scm byte.scm bytenumb.scm matfile.scm tsort.scm manifest.scm\
	peanosfc.scm
txifiles =grapheps.txi glob.txi getparam.txi\
	vet.txi top-refs.txi hashtab.txi chap.txi comparse.txi\
	alist.txi ratize.txi modular.txi dirs.txi priorque.txi queue.txi\
	srfi.txi srfi-1.txi srfi-2.txi srfi-8.txi\
	pnm.txi http-cgi.txi htmlform.txi html4each.txi db2html.txi uri.txi\
	fft.txi solid.txi random.txi randinex.txi obj2str.txi ncbi-dna.txi\
	minimize.txi factor.txi determ.txi daylight.txi colornam.txi\
	mkclrnam.txi color.txi subarray.txi dbutil.txi array.txi transact.txi\
	arraymap.txi phil-spc.txi lineio.txi differ.txi cvs.txi tree.txi\
	coerce.txi byte.txi bytenumb.txi matfile.txi tsort.txi manifest.txi\
	peanosfc.txi
% = `echo $(txiscms) | sed 's%.scm%.txi%g'`

texifiles = schmooz.texi indexes.texi object.texi format.texi
docfiles = ANNOUNCE README COPYING FAQ slib.1 slib.info slib.texi version.txi\
	 ChangeLog $(texifiles) $(txifiles)
mkfiles = Makefile require.scm Template.scm syncase.sh mklibcat.scm \
	Bev2slib.scm slib.spec slib.sh grapheps.ps
ifiles = bigloo.init chez.init elk.init macscheme.init mitscheme.init \
	scheme2c.init scheme48.init gambit.init t3.init \
	vscm.init scm.init scsh.init pscheme.init STk.init \
	RScheme.init DrScheme.init umbscheme.init guile.init jscheme.init
tfiles = plottest.scm macrotst.scm dwindtst.scm formatst.scm
sfiles = $(ffiles) $(lfiles) $(revfiles) $(afiles) $(scfiles) $(efiles) \
	$(rfiles) $(gfiles) $(scafiles) $(txiscms) $(srfiles)
allfiles = $(docfiles) $(mkfiles) $(ifiles) $(sfiles) $(tfiles) $(bfiles) \
	slib.doc clrnamdb.scm

pinstall:	slib.1
	test -d $(mandir) || mkdir $(mandir)
	test -d $(man1dir) || mkdir $(man1dir)
	-cp slib.1 $(man1dir)

install:	pinstall clrnamdb.scm
	test -d $(libdir) || mkdir $(libdir)
	test -d $(libslibdir) || mkdir $(libslibdir)
	-cp  $(ifiles) $(sfiles) $(bfiles) $(mkfiles) clrnamdb.scm $(libslibdir)
	test -d $(bindir) || mkdir $(bindir)
	echo '#! /bin/sh'			 > $(bindir)slib
	echo SCHEME_LIBRARY_PATH=$(libslibdir)  >> $(bindir)slib
	echo export SCHEME_LIBRARY_PATH		>> $(bindir)slib
	echo VERSION=$(VERSION)			>> $(bindir)slib
	echo "S48_VICINITY=\"$(LIB)\";export S48_VICINITY" >> $(bindir)slib
	cat slib.sh				>> $(bindir)slib
	chmod +x $(bindir)slib

uninstall:
	-(cd $(libslibdir); rm $(ifiles) $(sfiles) $(bfiles) $(mkfiles) clrnamdb.scm)
	-rm $(bindir)slib
	-rm $(man1dir)slib.1

slib.doc:	slib.1
	nroff -man $< | ul -tunknown >$@

#### Stuff for maintaining SLIB below ####

ver = $(VERSION)
version.txi:	Makefile
	echo @set SLIBVERSION $(ver) > version.txi
	echo @set SLIBDATE `date +"%B %Y"` >> version.txi

scheme = scm

collect.sc:
	echo "(require 'macros-that-work)" > collect.sc
	echo "(require 'pprint-file)" >> collect.sc
	echo "(require 'yasos)" >> collect.sc
	echo "(pprint-filter-file \"collect.scm\" macwork:expand \"collectx.scm\")" >> collect.sc
	echo "(slib:exit #t)" >> collect.sc

collectx.scm: collect.scm macwork.scm collect.sc
	$(scheme) < collect.sc

$(txifiles):	$(txiscms) schmooz.scm
	$(scheme) -rschmooz -e'(schmooz "slib.texi")'

dvi:	$(dvidir)slib.dvi
$(dvidir)slib.dvi:	version.txi slib.texi $(dvidir)slib.fn $(txifiles) $(texifiles)
#	cd $(dvidir);TEXINPUTS=$(srcdir):;export TEXINPUTS;texi2dvi $(srcdir)slib.texi
	-(cd $(dvidir);TEXINPUTS=$(srcdir):;export TEXINPUTS;texindex slib.??)
	cd $(dvidir);TEXINPUTS=$(srcdir):;export TEXINPUTS;tex $(srcdir)slib.texi
$(dvidir)slib.fn:
	cd $(dvidir);TEXINPUTS=$(srcdir):;export TEXINPUTS;tex $(srcdir)slib.texi \
	$(srcdir)schmooz.texi
xdvi:	$(dvidir)slib.dvi
	xdvi -s 3 $(dvidir)slib.dvi

pdf:	$(htmldir)slib.pdf
$(htmldir)slib.pdf:	version.txi slib.texi $(dvidir)slib.fn $(txifiles) $(texifiles)
#	cd $(dvidir);dvipdf slib.dvi # doesn't have links!
	cd $(dvidir);TEXINPUTS=$(srcdir):;export TEXINPUTS;pdftex $(srcdir)slib.texi
	mv $(dvidir)slib.pdf $(htmldir)
xpdf:	$(htmldir)slib.pdf
	xpdf -z 3 $(htmldir)slib.pdf

TEXI2HTML = /usr/local/bin/texi2html -split -verbose
slib_toc.html:	version.txi slib.texi $(txifiles) $(texifiles)
	${TEXI2HTML} slib.texi
html:	$(htmldir)slib_toc.html
$(htmldir)slib_toc.html:	slib_toc.html Makefile
	-rm -f slib_stoc.html
	if [ -f $(PREVDOCS)slib_toc.html ]; \
		then hitch $(PREVDOCS)slib_\*.html slib_\*.html $(htmldir); \
		else cp slib_*.html $(htmldir);fi

slib$(VERSION).info:	version.txi slib.texi $(txifiles) $(texifiles)
	makeinfo slib.texi --no-warn --no-split -o slib.info
	mv slib.info slib$(VERSION).info
slib.info:	slib$(VERSION).info
	if [ -f $(PREVDOCS)slib.info ];\
		then infobar $(PREVDOCS)slib.info slib$(VERSION).info slib.info;\
		else cp slib$(VERSION).info slib.info;fi
info:	installinfo
installinfo:	$(infodir)slib.info
$(infodir)slib.info:	slib.info
	cp -p slib.info $(infodir)slib.info
	-install-info $(infodir)slib.info $(infodir)dir
	-rm $(infodir)slib.info.gz
infoz:	installinfoz
installinfoz:	$(infodir)slib.info.gz
$(infodir)slib.info.gz:	$(infodir)slib.info
	gzip -f $(infodir)slib.info

makedev = make -f $(HOME)/makefile.dev
CHPAT=$(HOME)/bin/chpat
RSYNC=rsync --rsync-path=bin/rsync -bav
UPLOADEE=swissnet_upload
dest = $(HOME)/dist/
DOSCM = /misc/usb1/scm/

temp/slib:	$(allfiles)
	-rm -rf temp
	mkdir temp
	mkdir temp/slib
	ln  $(allfiles) temp/slib

infotemp/slib:	slib.info
	-rm -rf infotemp
	mkdir infotemp
	mkdir infotemp/slib
	ln slib.info slib.info-* infotemp/slib
#For change-barred HTML.
prevdocs:	$(PREVDOCS)slib_toc.html $(PREVDOCS)slib.info
$(PREVDOCS)slib_toc.html:
$(PREVDOCS)slib.info:	srcdir.mk Makefile
	cd $(PREVDOCS); unzip -ao $(dest)slib*.zip
	rm $(PREVDOCS)slib/slib.info
	cd $(PREVDOCS)slib; make slib.info; make slib_toc.html
	cd $(PREVDOCS); mv -f slib/slib.info slib/*.html ./
	rm -rf $(PREVDOCS)slib

distinfo:	$(dest)slib.info.zip
$(dest)slib.info.zip:	infotemp/slib
	$(makedev) TEMP=infotemp/ DEST=$(dest) PROD=slib ver=.info zip
	rm -rf infotemp

release:	dist pdf tar.gz	# rpm
	cvs tag -F slib$(VERSION)
	cp ANNOUNCE $(htmldir)SLIB_ANNOUNCE.txt
	cp COPYING  $(htmldir)SLIB_COPYING.txt
	$(RSYNC) $(htmldir)SLIB.html $(htmldir)SLIB_ANNOUNCE.txt \
	 $(htmldir)SLIB_COPYING.txt $(UPLOADEE):public_html/
	$(RSYNC) $(dest)README $(dest)slib$(VERSION).zip \
	 $(dest)slib$(VERSION).tar.gz $(htmldir)slib.pdf \
	 $(dest)slib-$(VERSION)-$(RELEASE).noarch.rpm \
	 $(dest)slib-$(VERSION)-$(RELEASE).src.rpm $(UPLOADEE):dist/
#	upload $(dest)README $(dest)slib$(VERSION).zip ftp.gnu.org:gnu/jacal/
#	$(MAKE) indiana
indiana:
	upload $(dest)slib$(VERSION).zip ftp@ftp.cs.indiana.edu:/pub/scheme-repository/incoming
	echo -e \
	'I have uploaded slib$(VERSION).zip to ftp.cs.indiana.edu:/pub/scheme-repository/incoming\n' \
	'for placement into ftp.cs.indiana.edu:/pub/scheme-repository/code/lib/' \
	 | mail -s 'SLIB upload' -b jaffer scheme-repository-request@cs.indiana.edu

postnews:
	echo -e "Newsgroups: comp.lang.scheme\n" | cat - ANNOUNCE | \
	inews -h -O -S \
	-f "announce@voluntocracy.org (Aubrey Jaffer & Radey Shouman)" \
	 -t "SLIB$(VERSION) Released" -d world

upzip:	$(HOME)/pub/slib.zip
	$(RSYNC) $(HOME)/pub/slib.zip $(UPLOADEE):pub/

dist:	$(dest)slib$(VERSION).zip
$(dest)slib$(VERSION).zip:	temp/slib
	$(makedev) DEST=$(dest) PROD=slib ver=$(VERSION) zip

tar.gz:	$(dest)slib$(VERSION).tar.gz
$(dest)slib$(VERSION).tar.gz:	temp/slib
	$(makedev) DEST=$(dest) PROD=slib ver=$(VERSION) tar.gz

rpm:	pubzip
#$(dest)slib-$(VERSION)-$(RELEASE).noarch.rpm:	$(dest)slib$(VERSION).zip
	cp $(HOME)/pub/slib.zip $(rpm_prefix)SOURCES/slib$(VERSION).zip
	rpmbuild -ba slib.spec	# --clean
	rm $(rpm_prefix)SOURCES/slib$(VERSION).zip
	mv $(rpm_prefix)RPMS/noarch/slib-$(VERSION)-$(RELEASE).noarch.rpm \
	   $(rpm_prefix)SRPMS/slib-$(VERSION)-$(RELEASE).src.rpm $(dest)

## slib 3a3

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 #srcdir=$(HOME)/slib/
 include srcdir.mk
 
-VERSION = 3a2
-RELEASE = 1
+VERSION = 3a3
+RELEASE = 2
 
 rpm_prefix=/usr/src/redhat/
 prefix = /usr/local/
@@ -90,14 +90,14 @@
 revfiles = sc4opt.scm sc4sc3.scm sc2.scm mularg.scm mulapply.scm \
 	trnscrpt.scm withfile.scm dynwind.scm promise.scm \
 	values.scm eval.scm null.scm
-afiles = charplot.scm root.scm cring.scm selfset.scm \
+afiles = charplot.scm root.scm cring.scm selfset.scm limit.scm \
 	 timecore.scm psxtime.scm cltime.scm timezone.scm tzfile.scm
 bfiles = fluidlet.scm object.scm recobj.scm yasyn.scm collect.scm collectx.scm
 scfiles = r4rsyn.scm scmacro.scm synclo.scm synrul.scm synchk.scm \
 	repl.scm macwork.scm mwexpand.scm mwdenote.scm mwsynrul.scm
 scafiles = scainit.scm scaglob.scm scamacr.scm scaoutp.scm scaexpp.scm \
 	structure.scm
-srfiles = srfi-9.scm
+srfiles = srfi-2.scm srfi-8.scm srfi-9.scm srfi-61.scm
 efiles = record.scm dynamic.scm process.scm hash.scm \
 	wttree.scm wttest.scm sierpinski.scm soundex.scm simetrix.scm
 rfiles = rdms.scm alistab.scm paramlst.scm \
@@ -109,28 +109,28 @@
 txiscms =grapheps.scm glob.scm getparam.scm \
 	vet.scm top-refs.scm hashtab.scm chap.scm comparse.scm\
 	alist.scm ratize.scm modular.scm dirs.scm priorque.scm queue.scm\
-	srfi.scm srfi-1.scm srfi-2.scm srfi-8.scm\
+	srfi.scm srfi-1.scm\
 	pnm.scm http-cgi.scm htmlform.scm html4each.scm db2html.scm uri.scm\
 	fft.scm solid.scm random.scm randinex.scm obj2str.scm ncbi-dna.scm\
 	minimize.scm factor.scm determ.scm daylight.scm colornam.scm\
 	mkclrnam.scm color.scm subarray.scm dbutil.scm array.scm transact.scm\
 	arraymap.scm phil-spc.scm lineio.scm differ.scm cvs.scm tree.scm\
 	coerce.scm byte.scm bytenumb.scm matfile.scm tsort.scm manifest.scm\
-	peanosfc.scm
+	peanosfc.scm linterp.scm
 txifiles =grapheps.txi glob.txi getparam.txi\
 	vet.txi top-refs.txi hashtab.txi chap.txi comparse.txi\
 	alist.txi ratize.txi modular.txi dirs.txi priorque.txi queue.txi\
-	srfi.txi srfi-1.txi srfi-2.txi srfi-8.txi\
+	srfi.txi srfi-1.txi\
 	pnm.txi http-cgi.txi htmlform.txi html4each.txi db2html.txi uri.txi\
 	fft.txi solid.txi random.txi randinex.txi obj2str.txi ncbi-dna.txi\
 	minimize.txi factor.txi determ.txi daylight.txi colornam.txi\
 	mkclrnam.txi color.txi subarray.txi dbutil.txi array.txi transact.txi\
 	arraymap.txi phil-spc.txi lineio.txi differ.txi cvs.txi tree.txi\
 	coerce.txi byte.txi bytenumb.txi matfile.txi tsort.txi manifest.txi\
-	peanosfc.txi
+	peanosfc.txi linterp.txi
 % = `echo $(txiscms) | sed 's%.scm%.txi%g'`
 
-texifiles = schmooz.texi indexes.texi object.texi format.texi
+texifiles = schmooz.texi indexes.texi object.texi format.texi limit.texi
 docfiles = ANNOUNCE README COPYING FAQ slib.1 slib.info slib.texi version.txi\
 	 ChangeLog $(texifiles) $(txifiles)
 mkfiles = Makefile require.scm Template.scm syncase.sh mklibcat.scm \
@@ -315,5 +315,3 @@
 	rpmbuild -ba slib.spec	# --clean
 	rm $(rpm_prefix)SOURCES/slib$(VERSION).zip
 	mv $(rpm_prefix)RPMS/noarch/slib-$(VERSION)-$(RELEASE).noarch.rpm \
-	   $(rpm_prefix)SRPMS/slib-$(VERSION)-$(RELEASE).src.rpm $(dest)
-

## slib 3b1

=== Makefile ===
# Makefile for Scheme Library
# Author: Aubrey Jaffer
#
# This code is in the public domain.

SHELL = /bin/sh
intro:
	@echo
	@echo "Welcome to SLIB.  Read \"README\" and \"slib.info\" (or"
	@echo "\"slib.texi\") to learn how to install and use SLIB."
	@echo
	-make slib.info

VERSION = 3b1
RELEASE = 1

rpm_prefix=$(HOME)/rpmbuild/
prefix = /usr/local/
exec_prefix = $(prefix)
# directory where `make install' will put executable.
bindir = $(exec_prefix)bin/
libdir = $(exec_prefix)lib/
libslibdir = $(libdir)slib/
# directory where `make install' will put manual page.
man1dir = $(prefix)man/man1/
infodir = $(prefix)info/

PREVDOCS = prevdocs/

htmldir=../public_html/

RUNNABLE = scheme48
S48INIT = scheme48.init
S48LIB = $(libdir)$(RUNNABLE)/
S48SLIB = $(S48LIB)slib/
VM = scheme48vm
IMAGE48 = slib.image
INSTALL_DATA = install -c

$(DESTDIR)$(S48LIB)slibcat:
	touch $(DESTDIR)$(S48LIB)slibcat

catalogs:
	-if type scm; then scm -c "(require 'new-catalog)"; fi
	-if type guile; then guile -l guile.init -c\
	  "(use-modules (ice-9 slib)) (require 'new-catalog)"; fi
	-if type umb-scheme; then SCHEME_INIT=umbscheme.init;export SCHEME_INIT;\
	  echo "(require 'new-catalog)" | umb-scheme; fi
	-if type mzscheme; then\
	  SCHEME_LIBRARY_PATH=`pwd`/;export SCHEME_LIBRARY_PATH;\
	  cp mkpltcat.scm `mzscheme -mf mzscheme.init -e '(begin(display(implementation-vicinity))(exit))'`mkimpcat.scm;\
	  mzscheme -g -f mzscheme.init -e "(require 'new-catalog)" </dev/null; fi
	-if type scheme48; then make install48; fi

MKNMDB = (require 'color-database) (make-slib-color-name-db) (slib:exit)
clrnamdb: clrnamdb.scm
clrnamdb.scm:  mkclrnam.scm color.scm resenecolours.txt saturate.txt nbs-iscc.txt
	if type scm; then scm -e"$(MKNMDB)";\
	elif type guile; then guile -l guile.init -c\
	 "(use-modules (ice-9 slib)) $(MKNMDB)";\
	elif type slib48; then echo -e "$(MKNMDB)\n,exit" | slib48 -h 3000000;\
	elif type umb-scheme; then SCHEME_INIT=`pwd`/umbscheme.init;export SCHEME_INIT;\
	 echo "$(MKNMDB)" | umb-scheme;\
	elif type mzscheme; then SCHEME_LIBRARY_PATH=`pwd`/;export SCHEME_LIBRARY_PATH;\
	 echo "$(MKNMDB)" | mzscheme -f mzscheme.init;\
	fi

$(DESTDIR)$(S48SLIB)strport.scm:
	mkdir -p $(DESTDIR)$(S48SLIB)
	echo ";;; strport.scm  -*- scheme -*-">$(DESTDIR)$(S48SLIB)strport.scm
	echo ";@">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "(define (call-with-output-string proc)">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "  (let ((port (make-string-output-port)))">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "    (proc port)">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "    (string-output-port-output port)))">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "(define (call-with-input-string string proc)">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "  (proc (make-string-input-port string)))">>$(DESTDIR)$(S48SLIB)strport.scm

$(DESTDIR)$(S48SLIB)record.scm:
	mkdir -p $(DESTDIR)$(S48SLIB)
	echo ";;; record.scm  -*- scheme -*-">$(DESTDIR)$(S48SLIB)record.scm
	echo ";; This code is in the public domain">>$(DESTDIR)$(S48SLIB)record.scm
	echo ";@">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define make-record-type   make-record-type)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-constructor">>$(DESTDIR)$(S48SLIB)record.scm
	echo "  (let ((constructor record-constructor))">>$(DESTDIR)$(S48SLIB)record.scm
	echo "    (lambda (rt . fields)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "      (constructor rt (if (pair? fields)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "                          (car fields)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "                          (record-type-field-names rt))))))">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-predicate   record-predicate)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-accessor    record-accessor)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-modifier    record-modifier)">>$(DESTDIR)$(S48SLIB)record.scm

slib48:	$(IMAGE48)
$(IMAGE48):	Makefile $(S48INIT)
	S48_VERSION="`echo ,exit | $(RUNNABLE) | sed -n 's/Welcome to Scheme 48 //;s/ ([^)]*)[.]//;p;q'`";export S48_VERSION;\
	S48_VICINITY="$(DESTDIR)$(S48LIB)";export S48_VICINITY;\
	SCHEME_LIBRARY_PATH="`pwd`/";export SCHEME_LIBRARY_PATH;\
	$(RUNNABLE) < $(S48INIT)
install48:	$(IMAGE48) $(DESTDIR)$(S48SLIB)strport.scm $(DESTDIR)$(S48SLIB)record.scm
	$(INSTALL_DATA) $(IMAGE48) $(DESTDIR)$(S48LIB)
	(echo '#! /bin/sh';\
	 echo exec $(RUNNABLE) -i '$(DESTDIR)$(S48LIB)$(IMAGE48)' \"\$$\@\") \
	  > $(DESTDIR)$(bindir)slib48
	chmod +x $(DESTDIR)$(bindir)slib48

ffiles = format.scm printf.scm genwrite.scm pp.scm \
	ppfile.scm strcase.scm debug.scm trace.scm \
	strport.scm scanf.scm qp.scm break.scm stdio.scm \
	strsrch.scm prec.scm schmooz.scm defmacex.scm mbe.scm
lfiles = sort.scm comlist.scm logical.scm
revfiles = sc4opt.scm sc4sc3.scm sc2.scm mularg.scm mulapply.scm \
	trnscrpt.scm withfile.scm dynwind.scm promise.scm \
	values.scm eval.scm null.scm
afiles = charplot.scm root.scm cring.scm selfset.scm limit.scm \
	 timecore.scm psxtime.scm cltime.scm timezone.scm tzfile.scm \
	 math-real.scm
bfiles = fluidlet.scm object.scm recobj.scm yasyn.scm collect.scm collectx.scm
scfiles = r4rsyn.scm scmacro.scm synclo.scm synrul.scm synchk.scm \
	repl.scm macwork.scm mwexpand.scm mwdenote.scm mwsynrul.scm
scafiles = scainit.scm scaglob.scm scamacr.scm scaoutp.scm scaexpp.scm \
	structure.scm
srfiles = srfi-2.scm srfi-8.scm srfi-9.scm srfi-11.scm srfi-23.scm srfi-61.scm
efiles = record.scm dynamic.scm process.scm hash.scm \
	wttree.scm wttest.scm sierpinski.scm soundex.scm simetrix.scm
rfiles = rdms.scm alistab.scm paramlst.scm \
	batch.scm crc.scm dbrowse.scm getopt.scm dbinterp.scm \
	dbcom.scm dbsyn.scm
ciefiles = cie1931.xyz cie1964.xyz resenecolours.txt saturate.txt \
	nbs-iscc.txt ciesid65.dat ciesia.dat

txiscms =grapheps.scm glob.scm getparam.scm \
	vet.scm top-refs.scm hashtab.scm chap.scm comparse.scm\
	alist.scm ratize.scm modular.scm dirs.scm priorque.scm queue.scm\
	srfi.scm srfi-1.scm xml-parse.scm\
	pnm.scm http-cgi.scm htmlform.scm html4each.scm db2html.scm uri.scm\
	dft.scm solid.scm random.scm randinex.scm obj2str.scm ncbi-dna.scm\
	minimize.scm factor.scm determ.scm daylight.scm colornam.scm\
	mkclrnam.scm color.scm subarray.scm dbutil.scm array.scm transact.scm\
	arraymap.scm phil-spc.scm lineio.scm differ.scm cvs.scm tree.scm\
	coerce.scm byte.scm bytenumb.scm matfile.scm tsort.scm manifest.scm\
	peanosfc.scm linterp.scm math-integer.scm
txifiles =grapheps.txi glob.txi getparam.txi\
	vet.txi top-refs.txi hashtab.txi chap.txi comparse.txi\
	alist.txi ratize.txi modular.txi dirs.txi priorque.txi queue.txi\
	srfi.txi srfi-1.txi xml-parse.txi\
	pnm.txi http-cgi.txi htmlform.txi html4each.txi db2html.txi uri.txi\
	dft.txi solid.txi random.txi randinex.txi obj2str.txi ncbi-dna.txi\
	minimize.txi factor.txi determ.txi daylight.txi colornam.txi\
	mkclrnam.txi color.txi subarray.txi dbutil.txi array.txi transact.txi\
	arraymap.txi phil-spc.txi lineio.txi differ.txi cvs.txi tree.txi\
	coerce.txi byte.txi bytenumb.txi matfile.txi tsort.txi manifest.txi\
	peanosfc.txi linterp.txi math-integer.txi
#txifiles = `echo $(txiscms) | sed 's%.scm%.txi%g'`

texifiles = schmooz.texi indexes.texi object.texi format.texi limit.texi \
	 fdl.texi
docfiles = ANNOUNCE README COPYING FAQ slib.1 slib.info slib.texi version.txi\
	 ChangeLog $(texifiles) $(txifiles)
mkfiles = Makefile require.scm Template.scm mklibcat.scm mkpltcat.scm \
	syncase.sh Bev2slib.scm slib.spec slib.sh grapheps.ps slib.nsi
ifiles = bigloo.init chez.init elk.init macscheme.init mitscheme.init \
	scheme2c.init scheme48.init gambit.init t3.init vscm.init \
	scm.init scsh.init sisc.init pscheme.init STk.init kawa.init \
	RScheme.init mzscheme.init umbscheme.init guile.init jscheme.init
tfiles = macrotst.scm dwindtst.scm formatst.scm
sfiles = $(ffiles) $(lfiles) $(revfiles) $(afiles) $(scfiles) $(efiles) \
	$(rfiles) colorspc.scm $(scafiles) $(txiscms) $(srfiles)
allfiles = $(docfiles) $(mkfiles) $(ifiles) $(sfiles) $(tfiles) $(bfiles) \
	slib.doc $(ciefiles) clrnamdb.scm SLIB.ico

pinstall:	slib.1
	mkdir -p $(DESTDIR)$(man1dir)
	-cp slib.1 $(DESTDIR)$(man1dir)

install:	pinstall clrnamdb.scm
	mkdir -p $(DESTDIR)$(libslibdir)
	-cp  $(ifiles) $(sfiles) $(bfiles) $(mkfiles) clrnamdb.scm $(DESTDIR)$(libslibdir)
	mkdir -p $(DESTDIR)$(bindir)
	echo '#! /bin/sh'			 > $(DESTDIR)$(bindir)slib
	echo SCHEME_LIBRARY_PATH=$(DESTDIR)$(libslibdir)  >> $(DESTDIR)$(bindir)slib
	echo S48_VICINITY=$(DESTDIR)$(S48LIB)	>> $(DESTDIR)$(bindir)slib
	echo VERSION=$(VERSION)			>> $(DESTDIR)$(bindir)slib
	echo export SCHEME_LIBRARY_PATH S48_VICINITY >> $(DESTDIR)$(bindir)slib
	cat slib.sh				>> $(DESTDIR)$(bindir)slib
	chmod +x $(DESTDIR)$(bindir)slib

uninstall:
	-(cd $(DESTDIR)$(libslibdir); rm $(ifiles) $(sfiles) $(bfiles) $(mkfiles) clrnamdb.scm)
	-rm $(DESTDIR)$(bindir)slib
	-rm $(DESTDIR)$(man1dir)slib.1

slib.doc:	slib.1
	nroff -man $< | ul -tunknown >$@

slib.html:	slib.texi
	makeinfo --html --no-split --no-warn --force slib.texi

## to build a windows installer
## make sure makeinfo and NSIS are available on the commandline
w32install:	slib.html
	makensis slib.nsi

#### Stuff for maintaining SLIB below ####

ver = $(VERSION)
version.txi:	Makefile
	echo @set SLIBVERSION $(ver) > version.txi
	echo @set SLIBDATE `date +"%B %Y"` >> version.txi

scheme = scm

collect.sc:
	echo "(require 'macros-that-work)" > collect.sc
	echo "(require 'pprint-file)" >> collect.sc
	echo "(require 'yasos)" >> collect.sc
	echo "(pprint-filter-file \"collect.scm\" macwork:expand \"collectx.scm\")" >> collect.sc
	echo "(slib:exit #t)" >> collect.sc

collectx.scm: collect.scm macwork.scm collect.sc
	$(scheme) < collect.sc

$(txifiles):	$(txiscms) schmooz.scm
	$(scheme) -rschmooz -e'(schmooz "slib.texi")'

dvi:	slib.dvi
slib.dvi:	version.txi slib.texi $(txifiles) $(texifiles)
	texi2dvi -b -c slib.texi
xdvi:	slib.dvi
	xdvi -s 4 slib.dvi

pdf:	$(htmldir)slib.pdf
$(htmldir)slib.pdf:	version.txi slib.texi $(txifiles) $(texifiles)
#	dvipdf slib.dvi # doesn't have links!
	texi2pdf -b -c slib.texi
	mv slib.pdf $(htmldir)
xpdf:	$(htmldir)slib.pdf
	xpdf $(htmldir)slib.pdf

TEXI2HTML = /usr/local/bin/texi2html -split -verbose
slib_toc.html:	version.txi slib.texi $(txifiles) $(texifiles)
	${TEXI2HTML} slib.texi
html:	$(htmldir)slib_toc.html
$(htmldir)slib_toc.html:	slib_toc.html Makefile
	-rm -f slib_stoc.html
	if [ -f $(PREVDOCS)slib_toc.html ]; \
		then hitch $(PREVDOCS)slib_\*.html slib_\*.html $(htmldir); \
		else cp slib_*.html $(htmldir);fi

slib-$(VERSION).info:	version.txi slib.texi $(txifiles) $(texifiles)
	makeinfo slib.texi --no-warn --no-split -o slib.info
	mv slib.info slib-$(VERSION).info
slib.info:	slib-$(VERSION).info
	if [ -f $(PREVDOCS)slib.info ];\
		then infobar $(PREVDOCS)slib.info slib-$(VERSION).info slib.info;\
		else cp slib-$(VERSION).info slib.info;fi
info:	installinfo
installinfo:	$(DESTDIR)$(infodir)slib.info
$(DESTDIR)$(infodir)slib.info:	slib.info
	mkdir -p $(DESTDIR)$(infodir)
	cp -p slib.info $(DESTDIR)$(infodir)slib.info
	-install-info $(DESTDIR)$(infodir)slib.info $(DESTDIR)$(infodir)dir
	-rm $(DESTDIR)$(infodir)slib.info.gz
infoz:	installinfoz
installinfoz:	$(DESTDIR)$(infodir)slib.info.gz
$(DESTDIR)$(infodir)slib.info.gz:	$(DESTDIR)$(infodir)slib.info
	gzip -f $(DESTDIR)$(infodir)slib.info

docs:	$(DESTDIR)$(infodir)slib.info.gz $(htmldir)slib_toc.html slib.dvi \
	 $(htmldir)slib.pdf slib.doc
	xdvi -s 4 slib.dvi

makedev = make -f $(HOME)/makefile.dev
CHPAT=$(HOME)/bin/chpat
RSYNC=rsync -bav
UPLOADEE=swissnet_upload
dest = $(HOME)/dist/
DOSCM = /c/Voluntocracy/dist/

temp/slib:	$(allfiles)
	-rm -rf temp
	mkdir -p temp/slib
	ln  $(allfiles) temp/slib

infotemp/slib:	slib.info
	-rm -rf infotemp
	mkdir -p infotemp/slib
	ln slib.info slib.info-* infotemp/slib
#For change-barred HTML.
prevdocs:	$(PREVDOCS)slib_toc.html $(PREVDOCS)slib.info
$(PREVDOCS)slib_toc.html:
$(PREVDOCS)slib.info:	Makefile
	cd $(PREVDOCS); unzip -ao $(dest)slib*.zip
	rm $(PREVDOCS)slib/slib.info

=== debian/changelog ===
slib (3b1-3.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends-Indep): Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): update to 3.8.4.
    + slib
      - (Depends): add ${misc:Depends}, install-info.
      - (Priority): remove inherited field.
      - (Section): remove inherited field.
  * debian/copyright
    - Update "more information" URL.
  * debian/doc-base
    - (Section): Remove obsolete top-level "Apps/".
  * debian/prerm
    - Remove path component from commands.
    - Remove obsolete install-docs, install-info commands.
  * debian/postinst
    - Remove obsolete install-docs, install-info commands.
    - Remove path component from commands.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

  [ Hideki Yamane (Debian-JP) <henrich@debian.or.jp> ]
  * debian/rules
    - (build): Rewrite make calls.
    - (binary-indep:): install *.html not slib/*.html to fix. It is
      useless to specify htmllib (FTBFS; Closes: #552911).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 05 May 2010 03:13:42 +0300

slib (3b1-3) unstable; urgency=low

  * slib.sh: Specify #!/bin/bash.  (Closes: #465359)

  * slib.1: Put title *before* section in TH directive.

  * debian/rules (binary-indep): Call dh_md5sums toward the end.
  * debian/control (Build-Depends-Indep): Require debhelper version 5.
  * debian/compat: New file (level 5).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 19:19:32 -0500

slib (3b1-2) unstable; urgency=low

  * guile.init (implementation-vicinity): Repeat change from 3a5-2.
    (Closes: #464143)

 -- Thomas Bushnell, BSG <tb@debian.org>  Thu, 07 Feb 2008 13:19:02 -0500

slib (3b1-1) unstable; urgency=low

  * New upstream release.
  * guile.init (library-vicinity): Repeat change from 3a4-2.
  * slib.texi (Library Catalogs): Repeat change from 3a3-3.
  * slib.sh: Repeat change from 3a5-3.
  * slib.1: Repeat change from 3a5-4.
  * Makefile: Repeat change from 3a2-1.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 04 Feb 2008 20:29:13 -0500

slib (3a5-4) unstable; urgency=low

  * slib.1 (.TH): Put in section number.
  * debian/rules (binary-indep): Install slib.1 documentation.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 15:02:11 -0500

slib (3a5-3) unstable; urgency=low

  * debian/rules (binary-arch): Don't do anything here.  Fixes lintian
    warning binary-arch-rules-but-pkg-is-arch-indep.

  * debian/control (Standards-Version): Update to 3.7.3.  No changes needed.

  * slib.sh: Specify #!/bin/sh.

  * debian/slib.lintian-overrides: New file.  Don't complain about the
    usr/share/slib/init symlink.
  * debian/rules (binary-indep): Install slib.lintian-overrides as
    usr/share/lintian/overrides/slib in the final package.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 16:41:39 -0500

slib (3a5-2) unstable; urgency=low

  * debian/rules (binary-indep): init subdir symlink should point to ".",
    not "..".  (Closes: #458172).

  * debian/preinst: New file.  Delete /usr/share/slib/init if it's a directory.
  * debian/rules (binary-indep): Install preinst into the right place.
    (Closes: #458181).

  * guile.init: Use old method of finding implementation-vicinity.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 29 Dec 2007 10:18:27 -0800

slib (3a5-1) unstable; urgency=low

  * New upstream release.

  * slib.texi (Library Catalogs): Repeat change from 3a3-3.

  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

  * guile.init: (library-vicinity): Repeat change from 3a4-2.

  * debian/rules (binary-indep): Don't hide .init files in a separate
    subdirectory, thus conforming better to the usual slib practice.  Put a
    symlink in place to ease transitions.  (Closes: #407370).

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 28 Dec 2007 16:25:32 -0800

slib (3a4-4) unstable; urgency=medium

  * Medium urgency because this fixes a release critical bug.

  * require.scm: Revert change from 3a4-2.
  * debian/control (slib): Conflict with scm (<< 5e3).  (Closes: #397529)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  8 Nov 2006 00:06:50 -0800

slib (3a4-3) unstable; urgency=high

  * slib.texi: Alter copyright notice to specify that there are no
    back cover or front cover texts, with permission of upstream copyright
    owner (Aubrey Jaffer) in accord with his new distribution zip archive.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  1 Nov 2006 21:54:30 -0800

slib (3a4-2) unstable; urgency=low

  * guile.init (library-vicinity): Set default location of slib to
    /usr/share/slib instead of /usr/lib/slib.
  * RScheme.init (library-vicinity): Likewise.

  * require.scm: Work around the fact that scm versions < 5e3 set
    *features* but not slib:features.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue, 24 Oct 2006 17:45:55 -0700

slib (3a4-1) unstable; urgency=low

  * New upstream release.

  * slib.texi (Library Catalogs): Repeat change from 3a3-3.

  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 23 Oct 2006 23:55:08 -0700

slib (3a3-4) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

  * debian/copyright: Fix spelling error.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Oct 2006 00:38:06 -0700

slib (3a3-3) unstable; urgency=low

  * slib.texi (Library Catalogs): Mention that a suffix (such as ".scm")
    may be appended to the filename on some systems.  (Closes: #147477)

  * postinst, prerm: Just know that install-docs is in /usr/sbin.
    (Closes: #293047)

  * debian/rules (binary-indep): Install slib.sh as /usr/bin/slib program.
    (Closes: #301437)

  * getopt.scm (*argv*): Comment out declaration.  (Closes: #248781)



=== debian/control ===
Source: slib
Section: devel
Priority: optional
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Build-Depends-Indep: scm, texi2html, texinfo, debhelper (>= 7.1)
Standards-Version: 3.8.4
Homepage: http://people.csail.mit.edu/jaffer/SLIB.html

Package: slib
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: libguile9 (<= 1:1.4-26), guile-1.6-libs (<= 1.6.7-1.1), scm (<< 5e3)
Description: Portable Scheme library
 SLIB is a portable scheme library meant to provide compatibility and
 utility functions for all standard scheme implementations.  SLIB
 includes initialization files for Chez, ELK 2.1, GAMBIT, MacScheme,
 MITScheme, scheme->C, Scheme48, T3.1, and VSCM.  SCM also supports
 SLIB.

=== debian/rules ===
#! /usr/bin/make -f
# -*-Makefile-*-

SCHEME_LIBRARY_PATH=./
export SCHEME_LIBRARY_PATH

CC =gcc
CFLAGS =-O2 -g -Wall
LDFLAGS =

SHELL =/bin/sh
srcdir =.

INSTALL =/usr/bin/install
INSTALL_DIR =$(INSTALL) -d -m 755 -o root -g root
INSTALL_PROGRAM =$(INSTALL) -m 755 -o root -g root
INSTALL_DATA =$(INSTALL) -m 644 -o root -g root
INSTALL_MAN =$(INSTALL) -m 444 -o root -g root

TEXI2HTML = texi2html --split chapter --verbose

build:
	$(checkdir)
	# Run the "default target", whatever it be
	$(MAKE) TEXI2HTML="$(TEXI2HTML)"
	# Then run target "html"
	$(MAKE) TEXI2HTML="$(TEXI2HTML)" html
	touch build

clean:
	$(checkdir)
	-rm slib.info*
	make clean
	-rm -f build
	-rm -rf debian/tmp* *~ debian/*~ debian/files debian/substvars
	-rm -f srcdir.mk
	-rm -f slib*.info
	-rm -f version.txi
	-rm -rf slib*.html
	-rm -rf $(htmldir)
	-rm -f .slibcat

binary-arch: checkroot
#	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp*

# debian/tmp
	$(INSTALL_DIR) debian/tmp
	$(INSTALL_DIR) debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/postinst debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/prerm debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/preinst debian/tmp/DEBIAN

# library
	$(INSTALL_DIR) debian/tmp/usr/share/slib
	$(INSTALL_DATA) *.scm debian/tmp/usr/share/slib
	# this fixes a load problem with guile
	( cd debian/tmp/usr/share/slib ; ln -s mklibcat.scm mklibcat )

# documentation
	$(INSTALL_DIR) debian/tmp/usr/share/doc/slib
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/slib
	$(INSTALL_DATA) debian/changelog \
	  debian/tmp/usr/share/doc/slib/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/slib/changelog.Debian

	$(INSTALL_DATA) ChangeLog debian/tmp/usr/share/doc/slib/changelog
	gzip -9v debian/tmp/usr/share/doc/slib/changelog
	$(INSTALL_DATA) README debian/tmp/usr/share/doc/slib
	gzip -9v debian/tmp/usr/share/doc/slib/README
	$(INSTALL_DATA) FAQ debian/tmp/usr/share/doc/slib
	gzip -9v debian/tmp/usr/share/doc/slib/FAQ
	$(INSTALL_DATA) *.html debian/tmp/usr/share/doc/slib

	ln -s . debian/tmp/usr/share/slib/init
	$(INSTALL_DATA) *.init debian/tmp/usr/share/slib

	$(INSTALL_DIR) debian/tmp/usr/share/doc-base
	$(INSTALL_DATA) debian/doc-base debian/tmp/usr/share/doc-base/slib

	$(INSTALL_DIR) debian/tmp/usr/share/man/man1
	$(INSTALL_DATA) slib.1 debian/tmp/usr/share/man/man1/slib.1
	gzip -9v debian/tmp/usr/share/man/man1/slib.1

# info pages
	$(INSTALL_DIR) debian/tmp/usr/share/info
	$(INSTALL_DATA) slib.info* debian/tmp/usr/share/info
	gzip -9v debian/tmp/usr/share/info/*

# slibconfig

#	$(INSTALL_DIR) debian/tmp/usr/sbin
#	$(INSTALL_PROGRAM) debian/slibconfig debian/tmp/usr/sbin

# program
	$(INSTALL_DIR) debian/tmp/usr/bin
	$(INSTALL_PROGRAM) slib.sh debian/tmp/usr/bin/slib 

# lintian
	$(INSTALL_DIR) debian/tmp/usr/share/lintian/overrides
	$(INSTALL_DATA) debian/slib.lintian-overrides debian/tmp/usr/share/lintian/overrides/slib

	dh_md5sums
	dpkg-gencontrol -is -ip
	dpkg --build debian/tmp ..

define checkdir
	test -f slib.texi -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep

=== debian/watch ===
version=3
http://people.csail.mit.edu/jaffer/SLIB.html .*slib-([\d.]+.*)\.zip
